{************************************************************************}
{* Modul:	adinfo.inc						*}
{************************************************************************}
{* Inhalt:	Typ-Deklaration fr Modul adinfo.pas			*}
{************************************************************************}
{* Version:	0.40							*}
{* Autor:	Thomas Mainka						*}
{* Datum:	21.Mrz.1993						*}
{************************************************************************}

Type     Byte4     = Array[1..4] of Byte;
	 Byte3     = Array[1..3] of Byte;
	 TifType   = record
		       Tag: Word;
		       Typ: Word;
		       Cnt: Longint;
		       Ofs: Longint;
		     end;
	 IffType   = record
		       Typ: Array[1..4] of char;
		       Len: Byte4;
		       Par: Array[1..20] of char;
		     end;
	 FBufType  = record
		       case Integer of
			 0: (DummyA: Array[0..1024] of Byte;);
			 1: (GifSig: Array[1..3] of Char;
			     GifVer: Array[1..3] of Char;
			     GifLSW: Word;
			     GifLSH: Word;
			     GifPF1: Byte;
			     GifBCI: Byte;
			     GifPAR: Byte;
			     GifDum: Array[13..1024] of Char;);
			 2: (PcxCre: Byte;
			     PcxVer: Byte;
			     PcxEnc: Byte;
			     PcxBpP: Byte;
			     PcxXMi: Word;
			     PcxYMi: Word;
			     PcxXMa: Word;
			     PcxYMa: Word;
			     PcxHRe: Word;
			     PcxVRe: Word;
			     PcxPa1: Array[1..16,1..3] of Byte;
			     PcxVMo: Byte;
			     PcxPla: Byte;
			     PcxBpL: Word;
			     PcxPaI: Byte;
			     PcxDum: Array[70..1024] of Char;);
			 3: (BmpTyp: Word;
			     BmpSiz: LongInt;
			     BmpRe1: Word;
			     BmpRe2: Word;
			     BmpOff: LongInt;
			     case BmpISi: LongInt of
			       40: (BmpWid: LongInt;
				    BmpHei: LongInt;
				    BmpPla: Word;
				    BmpBit: Word;
				    BmpCom: LongInt;
				    BmpSiI: LongInt;
				    BmpXpM: LongInt;
				    BmpYpM: Longint;
				    BmpDum: Array[47..1024] of Char;);
			       20: (BmcWid: Word;
				    BmcHei: Word;
				    BmcPla: Word;
				    BmcBit: Word;
				    BmcDum: Array[31..1024] of Char;););
			 4: (LbmIff: Array[1..4] of Char;
			     LbmILe: LongInt;
			     LbmTyp: Array[1..4] of Char;
			     LbmHea: Array[1..4] of Char;
			     LbmHLe: LongInt;
			     LbmBmX: Word;
			     LbmBmY: Word;
			     LbmXPo: Word;
			     LbmYPo: Word;
			     LbmBPl: Byte;
			     LbmMas: Byte;
			     LbmPac: Byte;
			     LbmRes: Byte;
			     LbmTCo: Word;
			     LbmAsX: Byte;
			     LbmAsY: Byte;
			     LbmAuX: Word;
			     LbmAuY: Word;
			     LbmDum: Array[39..1024] of Char;);
			 5: (WpgHea: Array[1..4] of Char;
			     WpgOfs: LongInt;
			     WpgPrg: Byte;
			     WpgTyp: Byte;
			     WpgVer: Word;
			     WpgDum: Array[12..1024] of Byte;);
			 6: (GemHea: Word;
			     GemLen: Word;
			     GemBpP: Word;
			     GemLeM: Word;
			     GemSiX: Word;
			     GemSiY: Word;
			     GemPiZ: Word;
			     GemEle: Word;
			     GemDum: Array[16..1024] of Byte;);
			 7: (TifCnt: Word;
			     TifTag: Array[1..32] of TifType;
			     TifDum: Array[386..1024] of Byte;);
			 8: (IcoKen: Word;
			     IcoTyp: Word;
			     IcoCnt: Word;
			     IcoSiX: Byte;
			     IcoSiY: Byte;
			     IcoCol: Byte;
			     IcoRes: Array[1..5] of Byte;
			     IcoSiz: Longint;
			     IcoOfs: Longint;
			     IcoDum: Array[20..1024] of Byte;);
			10: (CmfFId: Array[1..4] of Char;
			     CmfFFV: Word;
			     CmfOIB: Word;
			     CmfOMB: Word;
			     CmfTpQ: Word;
			     CmfCpS: Word;
			     CmfOMT: Word;
			     CmfOCN: Word;
			     CmfORe: Word;
			     CmfCTa: Array[1..16] of Byte;
			     CmfNIn: Word;
			     CmfTem: Word;
			     CmfDum: Array[40..1024] of Char;);
			11: (VocHea: Array[1..19] of Char;
			     VocRe1: Byte;
			     VocOfs: Word;
			     VocVer: Word;
			     VocIdn: Word;
			     VocRe2: Array[26..255] of Char;
			     VocTyp: Byte;
			     VocLen: Byte3;
			     VocDum: Array[4..768] of Byte;);
			12: (ModTit: Array[0..19] of Char;
			     ModIns: Array[20..255] of Char;
			     ModPat: Byte;
			     ModTim: Byte;
			     ModPaA: Array[0..127] of Byte;
			     ModKen: Array[1..4] of Char;
			     ModRe1: Byte;
			     ModRe2: Byte;
			     ModTEf: Byte;
			     ModTPa: Byte;
			     ModDum: Array[394..1024] of Char;);
			13: (MidDum: Array[0..1024] of Char;);
			14: (SvxIff: Array[1..4] of Char;
			     SvxILe: LongInt;
			     SvxTyp: Array[1..4] of Char;
			     SvxHea: Array[1..4] of Char;
			     SvxHLe: Byte4;
			     SvxDum: Array[20..1024] of Char;);
			15: (MacFst: Char;
			     MacTit: String[63];
			     MacTyp: Array[1..8] of Char;
			     MacDum: Array[73..1024] of Char;);
			16: (RolVHi: Word;
			     RolVLo: Word;
			     RolRe1: Array[1..40] of Byte;
			     RolTpB: Word;
			     RolBpM: Word;
			     RolXAx: Integer;
			     RolYAx: Integer;
			     RolRe2: Byte;
			     RolPrc: Byte;
			     RolRe3: Array[1..90] of Byte;
			     RolRe4: Array[1..38] of Byte;
			     RolRe5: Array[1..15] of Byte;
			     RolTem: Single;
			     RolTEv: Integer;
			     RolDum: Array[203..1024] of Char;);
			17: (WavIff: Array[1..4] of Char;
			     WavILe: LongInt;
			     WavTyp: Array[1..4] of Char;
			     WavHea: Array[1..4] of Char;
			     WavHLe: LongInt;
			     WavFor: Word;
			     WavCha: Word;
			     WavSpS: LongInt;
			     WavMSp: LongInt;
			     WavAli: Word;
			     WavBpS: Word;
			     WavDat: Array[1..4] of Char;
			     WavDLe: LongInt;
			     WavDum: Array[48..1024] of Char;);
			20: (ExeKen: Word;
			     ExeGlP: Word;
			     ExeGPg: Word;
			     ExeARe: Word;
			     ExeGHe: Word;
			     ExeMiP: Word;
			     ExeMaP: Word;
			     ExeSSS: Word;
			     ExeSSP: Word;
			     ExePrf: Word;
			     ExeSIP: Word;
			     ExeSCS: Word;
			     ExeSRe: Word;
			     ExeOvl: Word;
			     ExeRes: Array[28..59] of Char;
			     ExeAdN: Longint;
			     ExeDum: Array[64..1024] of Char;);
			21: (ExnKen: Word;
			     ExnLnV: Byte;
			     ExnLnR: Byte;
			     ExnOET: Word;
			     ExnLET: Word;
			     ExnRe1: Array[1..4] of Byte;
			     ExnFl1: Word;
			     ExnADS: Word;
			     ExnGLH: Word;
			     ExnGSS: Word;
			     ExnSIP: Word;
			     ExnSCS: Word;
			     ExnSSP: Word;
			     ExnSSS: Word;
			     ExnASe: Word;
			     ExnARe: Word;
			     ExnARN: Word;
			     ExnOSe: Word;
			     ExnORe: Word;
			     ExnORN: Word;
			     ExnOMR: Word;
			     ExnOIN: Word;
			     ExnONN: LongInt;
			     ExnAVE: Word;
			     ExnAli: Word;
			     ExnARS: Word;
			     ExnFl2: Byte;
			     ExnFl3: Byte;
			     ExnAFL: Word;
			     ExnLFL: Word;
			     ExnRes: Word;
			     ExnVer: Word;
			     ExnDum: Array[64..1024] of Char;);
			22: (ExlKen: Word;
			     ExlLnV: Byte;
			     ExlLnR: Byte;
			     ExlEFL: LongInt;
			     ExlCPU: Word;
			     ExlTOS: Word;
			     ExlMoV: LongInt;
			     ExlMoT: LongInt;
			     ExlAMP: LongInt;
			     ExlSIP: LongInt;
			     ExlSCS: LongInt;
			     ExlSSP: LongInt;
			     ExlSSS: LongInt;
			     ExlPSi: LongInt;
			     ExlBLP: LongInt;
			     ExlFSS: LongInt;
			     ExlFSC: LongInt;
			     ExlLSS: LongInt;
			     ExlLSC: LongInt;
			     ExlOOT: LongInt;
			     ExlEOT: LongInt;
			     ExlRe1: Longint;
			     ExlRe2: LongInt;
			     ExlORT: LongInt;
			     ExlERT: LongInt;
			     ExlORN: LongInt;
			     ExlOET: LongInt;
			     ExlOMD: LongInt;
			     ExlEMD: LongInt;
			     ExlRe3: LongInt;
			     ExlRe4: LongInt;
			     ExlOIM: Longint;
			     ExlEIO: LongInt;
			     ExlOPN: LongInt;
			     ExlOPC: LongInt;
			     ExlOPP: LongInt;
			     ExlAPP: LongInt;
			     ExlONN: LongInt;
			     ExlANN: LongInt;
			     ExlNNC: LongInt;
			     ExlADA: LongInt;
			     ExlODI: Longint;
			     ExlADI: LongInt;
			     ExlNPI: LongInt;
			     ExlNDI: LongInt;
			     ExlEHA: LongInt;
			     ExlDum: Array[172..1024] of Char;);
			23: (NlmKen: Array[0..22] of Char;
			     NlmRe1: Array[0..4] of Byte;
			     NlmDat: String[12];
			     NlmRe2: Array[0..88] of Byte;
			     NlmNam: String[64];
			     NlmDum: Array[196..1024] of Char;);
			24: (VapKen: Array[1..6] of Char;
			     VapRe1: Array[0..27] of Byte;
			     VapInf: Array[0..63] of Char;
			     VapDum: Array[98..1024] of Char;);
			25: (DevLOf: Word;
			     DevLSe: Word;
			     DevAtt: Word;
			     DevStR: Word;
			     DevInR: Word;
			     DevNam: Array[1..8] of Char;
			     DevDum: Array[18..1024] of Char;);
			30: (DbfKen: Byte;
			     DbfDat: Array[0..2] of Byte;
			     DbfSat: Longint;
			     DbfHSi: Word;
			     DbfSSi: Word;
			     DbfRe1: Array[0..1] of Byte;
			     DbfTra: Byte;
			     DbfCry: Byte;
			     DbfNet: Array[0..11] of Byte;
			     DbfMdx: Byte;
			     DbfRe2: Array[0..2] of Byte;
			     DbfFld: Array[32..1024] of Byte;);     
			50: (ZipKen: Word;
			     case ZipTyp: Word of
			       $0403: (ZilVer: Word;
				       ZilFlg: Word;
				       ZilMet: Word;
				       ZilLTi: Word;
				       ZilLDa: Word;
				       ZilCRC: Longint;
				       ZilCSi: Longint;
				       ZilUSi: Longint;
				       ZilNSi: Word;
				       ZilESi: Word;
				       ZilDum: Array[30..1024] of Byte;);
			       $0201: (ZigVe1: Word;
				       ZigVe2: Word;
				       ZigFlg: Word;
				       ZigMet: Word;
				       ZigLTi: Word;
				       ZigLDa: Word;
				       ZigCRC: Longint;
				       ZigCSi: Longint;
				       ZigUSi: Longint;
				       ZigNSi: Word;
				       ZigESi: Word;
				       ZigFSi: Word;
				       ZigDsk: Word;
				       ZigIFA: Word;
				       ZigEFA: Longint;
				       ZigOfs: Longint;
				       ZigDum: Array[46..1024] of Byte;);
			       $0605: (ZipADs: Word;
				       ZipDDs: Word;
				       ZipAED: Word;
				       ZipAET: Word;
				       ZipDSi: Longint;
				       ZipOfs: Longint;
				       ZipFSi: Word;););
			51: (ArcKen: Byte;
			     ArcTyp: Byte;
			     ArcNam: Array[0..12] of Char;
			     ArcCSi: Longint;
			     ArcDat: Word;
			     ArcTim: Word;
			     ArcCRC: Word;
			     ArcUSi: Longint;
			     ArcDum: Array[29..1024] of Byte;);
			52: (ArjKen: Word;
			     ArjHSi: Word;
			     ArjFHS: Byte;
			     ArjAVe: Byte;
			     ArjMVe: Byte;
			     ArjHOS: Byte;
			     ArjFlg: Byte;
			     ArjMet: Byte;
			     ArjTyp: Byte;
			     ArjRes: Byte;
			     ArjDat: Longint;
			     ArjCSi: Longint;
			     ArjUSi: Longint;
			     ArjCRC: Longint;
			     ArjFPF: Word;
			     ArjFAM: Word;
			     ArjHDa: Word;
			     ArjDum: Array[34..1024] of Byte;);
			53: (LzhHSi: Byte;
			     LzhRes: Byte;
			     LzhMet: Array[0..4] of Char;
			     LzhCSi: Longint;
			     LzhUSi: Longint;
			     LzhDat: Longint;
			     LzhDum: Array[20..1024] of Byte;);
			54: (ZooRe1: Array[0..3] of Char;
			     ZooRe2: Byte;
			     ZooKe1: Byte;
			     ZooOfs: Longint;
			     ZooRe3: Array[0..7] of Byte;
			     ZooCRC: Word;
			     ZooUSi: Longint;
			     ZooCSi: Longint;
			     ZooDum: Array[28..1024] of Byte;);
		       100: (Dummy0: Array[0..255] of Char;
			     DummyB: Array[256..1024] of Char;);
		       101: (DumStr: String;);
		       102: (DumCh4: Array[1..4] of Char;);
		       103: (DumWrd: Word;);
                       104: (DumLIn: Array[0..255] of LongInt;);
		     end;
