{************************************************************************}
{************************************************************************}
{* Modul:	adhelp.pas						*}
{************************************************************************}
{* Inhalt:	Ausgabe des Hilfe-Textes fr Advanced Directory		*}
{************************************************************************}
{* Funktion:	Ausgabe des Hilfetextes fr Advanced Dir		*}
{************************************************************************}
{* Version:	0.30							*}
{* Autor:	Thomas Mainka						*}
{* Datum:	21.Mrz.1993						*}
{* Vernderung:								*}
{************************************************************************}
{* Revision:								*}
{************************************************************************}
{* Routinen:	Help							*}
{************************************************************************}
Unit ADHelp;
{$I-,S-}
{$M 8192,8192,655360}

interface

Procedure Help;

implementation

{************************************************************************}
{* Routine:	Help							*}
{************************************************************************}
{* Inhalt:	Ausgabe des Hilfe-Bildschirms.				*}
{* Definition:	Procedure Help;						*}
{************************************************************************}

Procedure Help;
begin
   Writeln(' Advanced Dir Vers. 0.40');
   Writeln;
   Writeln('ADIR [Laufwerk:][Pfad][Dateiname] [/P] [/B] [/W] [/A[[:]Attribute]]');
   Writeln('  [/O[[:]Reihenfolge]] [/S] [/D] [/XD] [/XF] [/?]');
   Writeln;
   Writeln(' [Laufwerk:][Pfad][Dateiname]');
   Writeln('             Bezeichnt aufzulistendes Laufwerk, Verzeichnis und/oder Dateien');
   Writeln(' /P          Pausiert nach jeder vollen Bildschirmseite.');
   Writeln(' /B          Verwendet einfaches Format ohne Header und Infos.');
   Writeln(' /W          Verwendet Breitformat fr die Auflistung.');
   Writeln(' /A          Listet Dateien mit bestimmten Attributen. Abkrzungen wie folgt:');
   Writeln('  Attribute  D  Verzeichnisse          R  Schreibgeschtze Dateien');
   Writeln('             H  Versteckte Dateien     A  Zu Archivierende Dateien');
   Writeln('             S  Systemdateien          -  vorangestellt dreht Bedeutung um');
   Writeln(' /O          Listet Dateien sortiert auf. Abkrzungen wie folgt:');
   Writeln('  Sortiert nach: N  Name (alphabetisch)    S  Gre (kleinere zuerst)');
   Writeln('                 K  Kurztyp ( - " - )      D  Datum/Zeit (ltere zuerst)');
   Writeln('                 G  Verzeichnisse zuerst   -  vorangestellt dreht Sortierung um');
   Writeln(' /S          Listet Dateien im Verzeichnis und dessen Unterverzeichnissen auf');
   Writeln(' /D          Benutzt zur Ausgabe ber ANSI-Treiber keine Farbe');
   Writeln(' /XD, /XF    Ausgabe im DESCRIPT.ION bzw. FILES.BBS-Format');
   Writeln(' /?          Gibt diesen Hilfetext aus.');
   Writeln;
end;

{************************************************************************}
{* Routine:	Hauptprogramm						*}
{************************************************************************}
{* Inhalt:	- (keine Vorinitialisierung notwendig)			*}
{************************************************************************}

begin
end.
